%define srcname xf86-video-rendition
%define _modulesdir %_libdir/X11/modules
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-rendition
Version: 4.1.3
Release: alt1
Serial: 1
Summary: Rendition video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2
Source1: rendition.xinf

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-rendition
Requires: xorg-x11-server >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

ExclusiveArch: %ix86

%description
rendition is an Xorg driver for Rendition/Micron based video
cards.  The driver supports following framebuffer depths: 8, 15 (Verite
V1000  only), 16 and 24. Acceleration and multi-head configurations are
not supported yet, but are work in progress.

%def_disable static
%add_strip_skiplist %_modulesdir/*.uc

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%__install -pD -m644 %SOURCE1 %buildroot%_hwdatadir/rendition.xinf

%files
%_modulesdir/drivers/*.so
%_modulesdir/*.uc
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.3-alt1
- 4.1.3

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.2-alt2
- added videoaliases file from RH

* Sun Nov 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.2-alt1
- 4.1.2

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.1-alt1
- 4.1.1

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:4.1.0-alt1
- 4.1.0

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:4.0.1-alt0.1
- initial release

